Debian Bug report logs - #303375
Identification for MIPS32/MIPS64/MIPS32R2/MIPS64R2 is off by one

version graph

Package: file; Maintainer for file is Christoph Biedl <debian.axhn@manchmal.in-ulm.de>; Source for file is src:file.

Reported by: Thiemo Seufer <ths@networkno.de>

Date: Wed, 6 Apr 2005 11:48:11 UTC

Severity: normal

Tags: patch

Found in versions 4.12-1, file/4.21-3

Fixed in version 4.23-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#303375; Package file. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ths@networkno.de>:
New Bug report received and forwarded. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ths@networkno.de>
To: submit@bugs.debian.org
Subject: Identification for MIPS32/MIPS64/MIPS32R2/MIPS64R2 is off by one
Date: Wed, 6 Apr 2005 13:40:53 +0200
Package: file
Version: 4.12-1
Tags: patch

The appended patch fixes an off-by-one error in the identification of
MIPS32/MIPS64/MIPS32R2/MIPS64R2 ISA ELF objects.


Thiemo


--- magic.orig	2005-04-06 13:29:57.000000000 +0200
+++ magic	2005-04-06 13:34:15.000000000 +0200
@@ -3186,10 +3186,10 @@
 >>>>36  lelong&0xf0000000	0x20000000	MIPS-III
 >>>>36  lelong&0xf0000000	0x30000000	MIPS-IV
 >>>>36  lelong&0xf0000000	0x40000000	MIPS-V
->>>>36  lelong&0xf0000000	0x60000000	MIPS32
->>>>36  lelong&0xf0000000	0x70000000	MIPS64
->>>>36  lelong&0xf0000000	0x80000000	MIPS32 rel2
->>>>36  lelong&0xf0000000	0x90000000	MIPS64 rel2
+>>>>36  lelong&0xf0000000	0x50000000	MIPS32
+>>>>36  lelong&0xf0000000	0x60000000	MIPS64
+>>>>36  lelong&0xf0000000	0x70000000	MIPS32 rel2
+>>>>36  lelong&0xf0000000	0x80000000	MIPS64 rel2
 # only for 64-bit
 >>>4	byte		2
 >>>>48  lelong&0xf0000000	0x00000000	MIPS-I
@@ -3197,10 +3197,10 @@
 >>>>48  lelong&0xf0000000	0x20000000	MIPS-III
 >>>>48  lelong&0xf0000000	0x30000000	MIPS-IV
 >>>>48  lelong&0xf0000000	0x40000000	MIPS-V
->>>>48  lelong&0xf0000000	0x60000000	MIPS32
->>>>48  lelong&0xf0000000	0x70000000	MIPS64 
->>>>48  lelong&0xf0000000	0x80000000	MIPS32 rel2
->>>>48  lelong&0xf0000000	0x90000000	MIPS64 rel2
+>>>>48  lelong&0xf0000000	0x50000000	MIPS32
+>>>>48  lelong&0xf0000000	0x60000000	MIPS64 
+>>>>48  lelong&0xf0000000	0x70000000	MIPS32 rel2
+>>>>48  lelong&0xf0000000	0x80000000	MIPS64 rel2
 >>16	leshort		0		no file type,
 >>16	leshort		1		relocatable,
 >>16	leshort		2		executable,
@@ -3272,10 +3272,10 @@
 >>>>36  belong&0xf0000000	0x20000000	MIPS-III
 >>>>36  belong&0xf0000000	0x30000000	MIPS-IV
 >>>>36  belong&0xf0000000	0x40000000	MIPS-V
->>>>36  belong&0xf0000000	0x60000000	MIPS32
->>>>36  belong&0xf0000000	0x70000000	MIPS64
->>>>36  belong&0xf0000000	0x80000000	MIPS32 rel2
->>>>36  belong&0xf0000000	0x90000000	MIPS64 rel2
+>>>>36  belong&0xf0000000	0x50000000	MIPS32
+>>>>36  belong&0xf0000000	0x60000000	MIPS64
+>>>>36  belong&0xf0000000	0x70000000	MIPS32 rel2
+>>>>36  belong&0xf0000000	0x80000000	MIPS64 rel2
 # only for 64-bit
 >>>4	byte		2
 >>>>48	belong&0xf0000000	0x00000000	MIPS-I
@@ -3283,10 +3283,10 @@
 >>>>48	belong&0xf0000000	0x20000000	MIPS-III
 >>>>48	belong&0xf0000000	0x30000000	MIPS-IV
 >>>>48	belong&0xf0000000	0x40000000	MIPS-V
->>>>48	belong&0xf0000000	0x60000000	MIPS32
->>>>48	belong&0xf0000000	0x70000000	MIPS64 
->>>>48	belong&0xf0000000	0x80000000	MIPS32 rel2
->>>>48	belong&0xf0000000	0x90000000	MIPS64 rel2
+>>>>48	belong&0xf0000000	0x50000000	MIPS32
+>>>>48	belong&0xf0000000	0x60000000	MIPS64 
+>>>>48	belong&0xf0000000	0x70000000	MIPS32 rel2
+>>>>48	belong&0xf0000000	0x80000000	MIPS64 rel2
 >>16	beshort		0		no file type,
 >>16	beshort		1		relocatable,
 >>16	beshort		2		executable,



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#303375; Package file. Full text and rfc822 format available.

Acknowledgement sent to Michael Piefel <piefel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 303375@bugs.debian.org (full text, mbox):

From: Michael Piefel <piefel@debian.org>
To: 303375@bugs.debian.org, 303375-submitter@bugs.debian.org
Subject: MIPS off or not off
Date: Wed, 12 Oct 2005 09:34:38 +0200
Upstream has changed this magic, but did not correct what was reported
here. I’m therefore unsure what to believe. Is there any reference?

Bye,
    Mike

-- 
|=| Michael Piefel
|=| Humboldt-Universität zu Berlin
|=| Tel. (+49 30) 2093 3831



Message sent on to Thiemo Seufer <ths@networkno.de>:
Bug#303375. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#303375; Package file. Full text and rfc822 format available.

Acknowledgement sent to Thiemo Seufer <ths@networkno.de>:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #18 received at 303375@bugs.debian.org (full text, mbox):

From: Thiemo Seufer <ths@networkno.de>
To: Michael Piefel <piefel@debian.org>
Cc: 303375@bugs.debian.org
Subject: Re: Bug#303375: MIPS off or not off
Date: Wed, 12 Oct 2005 15:09:27 +0200
Michael Piefel wrote:
> Upstream has changed this magic, but did not correct what was reported
> here. I???m therefore unsure what to believe. Is there any reference?

gcc/binutils produce the values I gave for a log time now. Unfortunately
the glibc header is broken as well, and mips patches aren't accepted
easily by glibc upstream. The "official" SDE toolchain from MIPS
Technologies, Inc. does the same as the GNU toolchain WRT.


Thiemo



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#303375; Package file. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #23 received at 303375@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <303375@bugs.debian.org>
Subject: file: This patch has been applied upstream now, will be in 4.22
Date: Mon, 19 Nov 2007 19:33:19 +0000
Package: file
Version: 4.21-3
Followup-For: Bug #303375

This patch has been applied upstream and will be in the next release
of file.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'experimental'), (600, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages file depends on:
ii  libc6                         2.6.1-1+b1 GNU C Library: Shared libraries
ii  libmagic1                     4.21-3     File type determination library us

file recommends no packages.

-- no debconf information




Reply sent to daniel@debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thiemo Seufer <ths@networkno.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 303375-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 303375-done@bugs.debian.org, 416709-done@bugs.debian.org
Date: Sat, 12 Jan 2008 23:33:52 +0100
Version: 4.23-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Feb 2008 07:32:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:12:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.